import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
export declare enum ViewState {
    Activate = "Activate",
    ToStack = "ToStack",
    Destroy = "Destroy",
    Reactivate = "Reactivate",
    Sleep = "Sleep"
}
export declare const UI_VIEW_INIT_STATE: InjectionToken<ViewState>;
export declare const UI_VIEW_INIT_TOUCH_BACK: InjectionToken<boolean>;
export declare class ViewStateService {
    state: Observable<ViewState>;
    progress: Observable<number>;
    touchProgress: Observable<number>;
    private stateSource;
    private progressSource;
    private touchEvent;
    constructor();
    changeState(state: ViewState): void;
    updateProgress(n: number): void;
    touching(progress: number): void;
}
